1 Reply Latest reply on Feb 26, 2016 6:43 PM by Nick Boldt

    Error while building Jboss developer studio 9.1.0 Beta 2 from source

    Deepali Chourasia Newbie

      I have downloaded jboss-devstudio-9.1.0.Beta2-src.zip and am building it from source.

      However, the build is failing with the following error:

       

      [ERROR] Failed to execute goal org.eclipse.tycho:tycho-packaging-plugin:0.24.0:package-plugin (default-package-plugin) on project com.jboss.devstudio.core: Execution default-package-plugin of goal org.eclipse.tycho:tycho-packaging-plugin:0.24.0:package-plugin failed: One of setGitDir or setWorkTree must be called. -> [Help 1]

      org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.eclipse.tycho:tycho-packaging-plugin:0.24.0:package-plugin (default-package-plugin) on project com.jboss.devstudio.core: Execution default-package-plugin of goal org.eclipse.tycho:tycho-packaging-plugin:0.24.0:package-plugin failed: One of setGitDir or setWorkTree must be called.

          at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:212)

          at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)

          at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)

          at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:116)

          at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:80)

          at org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:51)

          at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)

          at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:307)

          at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:193)

          at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:106)

          at org.apache.maven.cli.MavenCli.execute(MavenCli.java:863)

          at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:288)

          at org.apache.maven.cli.MavenCli.main(MavenCli.java:199)

          at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

          at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

          at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

          at java.lang.reflect.Method.invoke(Method.java:606)

          at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289)

          at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229)

          at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415)

          at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)

      Caused by: org.apache.maven.plugin.PluginExecutionException: Execution default-package-plugin of goal org.eclipse.tycho:tycho-packaging-plugin:0.24.0:package-plugin failed: One of setGitDir or setWorkTree must be called.

       

      It appears that it is looking for a git repo. But I do not have a repository as I am using the zipped source code.

       

      Any ideas how I can resolve this error and proceed?